RelayAPI

List workspaces

GET
/v1/workspaces
AuthorizationBearer <token>

API key (rlay_live_* or rlay_test_). Invite redemption also accepts a server-derived rlay_session_ bearer for a current user session.

In: header

Query Parameters

search?string

Search workspaces by name

lifecycle_status?string

Filter by lifecycle state; defaults to active

Default"active"

Value in

  • "active"
  • "archived"
  • "erasing"
  • "all"
limit?number

Page size

Range1 <= value <= 100
Default20
cursor?string

Pagination cursor

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/workspaces"
{  "data": [    {      "account_count": 0,      "account_ids": [        "string"      ],      "archived_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "description": "string",      "erasure_requested_at": "2019-08-24T14:15:22Z",      "id": "string",      "lifecycle_status": "active",      "name": "string",      "revision": 0,      "slug": "string",      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "next_cursor": "string"}

Found something wrong? Help us improve this page.